Bug 1472611 (CVE-2017-11434)

Summary: CVE-2017-11434 Qemu: slirp: out-of-bounds read while parsing dhcp options
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amitshah, apevec, areis, ayoung, berrange, cfergeau, chrisw, cvsbot-xmlrpc, ddepaula, drjones, dwmw2, imammedo, itamar, jen, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, robinlee.sysu, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20170717,reported=20170510,source=researcher,cvss2=2.9/AV:A/AC:M/Au:N/C:N/I:N/A:P,cvss3=4.3/CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L,cwe=CWE-125,rhel-5/kvm=wontfix,rhel-5/xen=notaffected,rhel-6/qemu-kvm=wontfix,rhel-7/qemu-kvm=wontfix,rhel-7/qemu-kvm-rhev=wontfix,openstack-5/qemu-kvm-rhev=wontfix,openstack-6/qemu-kvm-rhev=wontfix,openstack-7/qemu-kvm-rhev=wontfix,openstack-8/qemu-kvm-rhev=wontfix,openstack-9/qemu-kvm-rhev=wontfix,openstack-10/qemu-kvm-rhev=wontfix,openstack-11/qemu-kvm-rhev=wontfix,openstack-12/qemu-kvm-rhev=wontfix,fedora-all/qemu=affected,fedora-all/xen=notaffected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:16:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1472612    
Bug Blocks: 1449502    

Description Prasad J Pandit 2017-07-19 06:13:14 UTC
Quick emulator(Qemu) built with the BOOTP/DHCP Server support is vulnerable
to an OOB read issue. It could occur while parsing the DHCP options and vendor
extensions options sent by a client.

A user/process could use this flaw to potentially crash the Qemu process on
the host resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-07/msg05001.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/07/19/2

Comment 1 Prasad J Pandit 2017-07-19 06:13:45 UTC
Acknowledgments:

Name: Reno Robert

Comment 2 Prasad J Pandit 2017-07-19 06:17:23 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1472612]

Comment 3 Fedora Update System 2017-11-07 22:14:24 UTC
qemu-2.9.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.